Package it.ernytech.tdlib

## Class TdApi.GetActiveLiveLocationMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetActiveLiveLocationMessages

Enclosing class:
  TdApi

    public static class TdApi.GetActiveLiveLocationMessages
    extends TdApi.Function

Returns all active live locations that should be updated by the client. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`GetActiveLiveLocationMessages()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetActiveLiveLocationMessages

    public GetActiveLiveLocationMessages()

Default constructor.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR